Skip to content

Delete Secret

DELETE
/api/v1/vault/delete/{vault_id}
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/vault/delete/{vault_id}?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
vault_id
required
integer

Secret (Vault) ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response when a secret is deleted

Media typeapplication/json
object
code
integer
data
object
vault_id
integer
errors
object
message
string

Example

{
"code": 200,
"data": {
"vault_id": 222
},
"errors": {},
"message": "Secret deleted successfully."
}